Prerequisites

Install the following using apt-get


sudo apt-get install build-essential \
  gfortran \
  tcl \
  git \
  m4 \
  freeglut3 \
  doxygen \
  libblas-dev \
  liblapack-dev \
  libx11-dev \
  libnuma-dev \
  libcurl4-gnutls-dev \
  zlib1g-dev \
  libhwloc-dev

Download and install one of our redistributable packages according to your version of Mint. Mint is a spinoff of Ubuntu. But the versions do not necessarly match (each Mint release is based on Ubuntu's LTS release schedule): https://en.wikipedia.org/wiki/Linux_Mint_version_history.

Once downloaded, the package can be installed via the dpkg utility:


sudo dpkg -i moose-environment_ubuntu-*.rpm